<template>
  <div
    class="input-row"
    :style="{ gridTemplateColumns: `repeat(${cols}, 1fr)` }"
  >
    <slot />
  </div>
</template>

<script>
export default {
  name: "InputRow",
  props: {
    cols: { type: [Number, String], default: 1 },
  },
};
</script>

<style scoped>
.input-row {
  display: grid;
  align-items: flex-end;
  gap: 2rem;
  width: 100%;
}

@media (max-width: 640px) {
  .input-row {
    grid-template-columns: 1fr !important;
  }
}
</style>
